<?php
$type = array
(
    1 => '自动生成',
    2 => '手动生成',
);
return array
(
    # 表名
    'name' => 'add',
    # 显示给用户看的名称
    'lang' => '新增礼品卡',
    'order' => 1,
    'menu' => false,
    'end' => array
    (
        'update' => 'card/lib/code.createCard',
        'insert' => 'card/lib/code.createCard',
    ),
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => '系统ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'value'     => Dever::input('where_id'),
        ),

        'card_id'        => array
        (
            'type'      => 'int-11',
            'name'      => '礼品卡',
            'default'   => '',
            'desc'      => '礼品卡',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_card_id'),
            'list'      => 'Dever::load("card/info-find#name", "{card_id}")',
        ),

        'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '生成方式',
            'default'   => '1',
            'desc'      => '生成方式',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'value'     => '1',
            'option'    => $type,
            'control'   => 'type',
        ),
        
        'num'       => array
        (
            'type'      => 'varchar-32',
            'name'      => '生成数量',
            'default'   => '',
            'desc'      => '请输入生成数量',
            'match'     => 'is_string',
            'update'    => 'text',
            'value'     => '',
            'show'      => 'type=1',
        ),

        'content'       => array
        (
            'type'      => 'text-255',
            'name'      => '填写卡号-多个换行隔开，如卡号重复将不会录入到库中，如需填写面值，请用半角逗号隔开',
            'default'   => '',
            'desc'      => '填写卡号',
            'match'     => 'is_string',
            'update'    => 'textarea',
            'value'     => '',
            'show'      => 'type=2',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
        ),
    ),

    'manage' => array
    (
        # 后台管理不要列表页
        'list' => 'update',
    ),
);
