<?php
$id = Dever::input('search_option_field_id');
$active_id = Dever::input('search_option_active_id');
return array
(
    # 表名
    'name' => 'info_field_value',
    # 显示给用户看的名称
    'lang' => '属性值设置',
    # 是否显示在后台菜单
    'order' => 9,
    'menu'  => false,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'field_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '字段属性id',
            'default'   => '1',
            'desc'      => '字段属性id',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => 'hidden',
            'value'     => $id,
        ),

        'active_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '活动id',
            'default'   => '1',
            'desc'      => '活动id',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => 'hidden',
            'value'     => $active_id,
            'list'      => "Dever::load('active/lib/manage.active#active_name',{active_id})",
        ),

        'name'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '属性值名称-如绿色',
            'default'   => '',
            'desc'      => '属性值名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'value'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '属性具体值-如上述名称为绿色，这里可以是绿色的色值，选填项，可以为空',
            'default'   => '',
            'desc'      => '属性具体值',
            'match'     => 'option',
            // 'update'    => 'text',
            // 'search'    => 'fulltext',
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),

    'request' => array
    (
        'getList' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'active_id' => 'yes',
                'field_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'col' => 'id,active_id,field_id,name',
        ),
    )
);
