<?php
return array
(
	# 表名
	'name' => 'base',
	# 显示给用户看的名称
	'lang' => '商学院系统配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'phone'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
        ),
        
        'avatar'        => array
        (
            'type'      => 'varchar-150',
            'name'      => '默认头像',
            'default'   => '',
            'desc'      => '请选择头像',
            'match'     => 'is_string',
            'update'    => 'image',
            'key'       => '1',
            //'place'       => '150',
        ),
		
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"商学院",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
