<?php

$type = array
(
	1 => '余额',
	2 => '团队业绩',
    3 => '直推创客数量',
);

$role = function()
{
    $array = array(
        0 => array
        (
            'id' => 0,
            'name' => '选择角色',
        ),
    );
    $data = Dever::load('setting/lib/manage.role');
    if($data)
    {
        $array += $data;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'import_cash_log',
    # 显示给用户看的名称
    'lang' => '导入记录',
    'order' => 9,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'mid'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理商姓名/手机号',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => array
            (
                'api' => 'agent/member-getSearch',
                'col' => 'col',
                'result' => 'id',
                'search' => 'mid',
            ),
            //'list_name' => '姓名',
            //'list'      => 'Dever::load("agent/lib/member.getOne", {mid}, "agent/member", true)',
            //'list_order' => 1,
        ),

        'agent-member-name'      => array
        (
            'type'      => 'int-11',
            'name'      => '姓名',
            'default'   => '',
            'desc'      => '姓名',
            'match'     => 'is_numeric',
            'sync'      => array('mid', 'id'),
            'list'      => true,
        ),

        'agent-member-mobile'      => array
        (
            'type'      => 'int-11',
            'name'      => '手机号',
            'default'   => '',
            'desc'      => '手机号',
            'match'     => 'is_numeric',
            'sync'      => array('mid', 'id'),
            'list'      => true,
        ),

        'agent-member-role'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理角色',
            'default'   => '',
            'desc'      => '代理角色',
            'match'     => 'is_numeric',
            'search'    => array
            (
                'api' => 'agent/member-all',
                'col' => 'role',
                'result' => 'id',
                'search' => 'mid',
                'option'    => $role,
            ),
            'sync'      => array('mid', 'id'),
            'list'      => 'Dever::load("setting/role-one#name", "{agent-member-role}")',
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'search'	=> 'select',
            'option'    => $type,
            'update'    => 'radio',
            'control'   => 'type',
            'list'		=> true,
        ),

        'num'        => array
        (
            'type'      => 'varchar-200',
            'name'      => '具体数值',
            'default'   => '',
            'desc'      => '具体数值',
            'match'     => 'is_numeric',
            'update'  	=> 'text',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '升级时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i", {cdate})',
            //'list_order' => 2,
        ),
    ),

    'manage' => array
    (
        'edit' => false,
        'insert' => false,
        //'delete' => false,
        'excel' => true,
    ),

    'request' => array
    (
        
    ),
);
