<?php

$prize = function()
{
    $array = array();
    $data = Dever::load('setting/prize-state');
    if($data)
    {
        $array += $data;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'member_prize',
    # 显示给用户看的名称
    'lang' => '代理直推额外奖励赠送记录',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'mid'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理商',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            'update'    => 'text',
            'searchs'    => array
            (
                'api' => 'agent/member-find',
                'col' => 'mobile',
                'result' => 'id',
            ),
            //'list'      => 'Dever::load("agent/lib/member.getOne", {mid})',
        ),

        'order_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '订单表id',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'prize_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '奖励的名额',
            'default'   => '',
            'desc'      => '奖励的名额',
            'match'     => 'is_numeric',
        ),

        'child_num'      => array
        (
            'type'      => 'int-11',
            'name'      => '直推数量',
            'default'   => '',
            'desc'      => '订单表id',
            'match'     => 'is_numeric',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '申请时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'page_list' => 'member_prize',
    ),

    'request' => array
    (
        
    ),
);
