<?php
/*
|--------------------------------------------------------------------------
| admin.php 管理员表
|--------------------------------------------------------------------------
*/

return array
(
	# 表名
	'name' => 'member_title',
	# 显示给用户看的名称
	'lang' => '头衔关联表',
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),
		
		'mid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '代理商',
			'default' 	=> '',
			'desc' 		=> '代理商',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'title_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '头衔ID',
			'default' 	=> '',
			'desc' 		=> '头衔ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'title_id' => array('yes', 'in'),
            ),
            'order' => array('id' => 'desc'),
            'type' => 'all',
            'col' => 'mid|mid',
        ),
	)
);
