<?php

$home_top_type = array
(
	1 => '显示',
	2 => '不显示',
);
$type = array
(
    1 => '开放中',
    2 => '维护中',
);
$active = array
(
	1 => '显示',
	2 => '不显示',
);
return array
(
	# 表名
	'name' => 'base',
	# 显示给用户看的名称
	'lang' => '系统配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'phone'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'tax'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '提现手续费-输入10就是10%',
            'default'   => '8',
            'desc'      => '提现手续费',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'agreement_sign'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '合同盖章图片',
			'default' 	=> '',
			'desc' 		=> '合同盖章图片',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150*150',
		),

		'agreement_mobile'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '合同代表人电话',
            'default'   => '',
            'desc'      => '合同代表人电话',
            'match'     => 'option',
            'update'    => 'text',
        ),

		'desc'      => array
        (
            'type'      => 'text-255',
            'name'      => '代理加盟介绍',
            'default'   => '',
            'desc'      => '代理加盟介绍',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => '1',
        ),

		'bank_user'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '银行卡开户名称',
			'default' 	=> '',
			'desc' 		=> '银行卡开户名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'bank_name'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '银行卡支行名称',
			'default' 	=> '',
			'desc' 		=> '银行卡支行名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'bank_card'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '银行卡卡号',
			'default' 	=> '',
			'desc' 		=> '银行卡卡号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '系统是否开放',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'option'    => $type,
            'update'    => 'radio',
            'control'   => 'type',
        ),

        'type_desc'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '系统维护描述',
			'default' 	=> '',
			'desc' 		=> '系统维护描述',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'active'   => array
        (
            'type'      => 'int-11',
            'name'      => '是否显示活动',
            'default'   => '1',
            'desc'      => '是否显示活动',
            'match'     => 'is_numeric',
            'update'  	=> 'radio',
            'option'    => $active,
        ),

		// 'market_desc'      => array
  //       (
  //           'type'      => 'text-255',
  //           'name'      => '提现协议',
  //           'default'   => '',
  //           'desc'      => '提现协议',
  //           'match'     => 'option',
  //           'update'    => 'editor',
  //           'key'       => '1',
  //       ),
		
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'alter' => array
    (
        5 => array
        (
            array('update', 'tax', 'tax', 'decimal-11,2 8 提现手续费'),
        ),
        'version' => 5,
    ),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"厨人意料",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
