<?php

return array
(
    # 表名
    'name' => 'title',
    # 显示给用户看的名称
    'lang' => '代理商头衔',
    # 后台菜单排序
    'order' => 1,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '名称',
            'default'   => '',
            'desc'      => '名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),


    'default' => array
	(
		'col' => 'id,name,state,cdate',
		'value' => array
		(
			//'1,"无头衔", 1,' . DEVER_TIME,

			'2,"战略委", 1,' . DEVER_TIME,

			'3,"决策委", 1,' . DEVER_TIME,

			'4,"储备军", 1,' . DEVER_TIME,
		),
	),

    'manage' => array
    (
    	//'insert' => false,
        //'delete' => false,
        //'edit' => false,
        'list_button' => array
        (
        	//'fast' => array('编辑', '"level&where_id={id}&oper_save_jump=level&oper_table=level&oper_parent=level"'),
        )
    ),

    'request' => array
    (
        'getOne' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'type' => array('yes', 'in'),
                'target' => array('yes', '<='),
                'state' => 1,
            ),
            'type' => 'one',
            'order' => array('level' => 'desc', 'id' => 'desc'),
            'col' => '*',
        ),
        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                //'id' => array('yes', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'col' => '*|id',
        ),
        'getDataByIds' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                //'id' => array('yes', '!='),
                'id' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'col' => '*',
        ),
    ),
);
