<?php
$status = array
(
    1 => '分享中',
    2 => '已分享',
);

$act = function()
{
    $array = array();
    $info = Dever::db('act/info')->select();
    
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'user_share',
    # 显示给用户看的名称
    'lang' => '用户活动分享',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '用户名',
            'default'   => '0',
            'desc'      => '请选择用户',
            'match'     => 'is_numeric',
            'update'    => 'text',
            //'search'  => 'select',
            'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            'list'      => '{uid} > 0 ? Dever::load("passport/user-find#username", {uid}) : "匿名用户"',
        ),

        'shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '所属门店',
            'default'   => '',
            'desc'      => '所属门店',
            'match'     => 'is_numeric',
            'list'      => 'Dever::load("shop/info-find#name", {shop_id})',
        ),

        'act_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '活动id',
            'default'   => '',
            'desc'      => '活动id',
            'match'     => 'is_numeric',
            'list'      => 'Dever::load("act/info-find#name", {act_id})',
        ),

        'path'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '分享路径',
            'default'   => '',
            'desc'      => '分享路径',
            'match'     => 'option',
            //'update'  => 'text',
        ),

        'status'        => array
        (
            'type'      => 'int-11',
            'name'      => '分享状态',
            'default'   => '1',
            'desc'      => '分享状态',
            'match'     => 'is_numeric',
            //'update'  => 'select',
            'option'    => $status,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),

        'edate'     => array
        (
            'type'      => 'int-11',
            'name'      => '失效时间',
            'match'     => 'is_numeric',
            'desc'      => '',
            'list'      => 'date("Y-m-d H:i:s", {edate})',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '领取时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'request' => array
    (
        
    ),
);
