<?php

return array
(
    # 表名
    'name' => 'info_off',
    # 显示给用户看的名称
    'lang' => '活动核销人员',
    # 后台菜单排序
    'order' => 2,
    // 'menu' => false,
    'auto' => 100000,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        // 'active_id'      => array
        // (
        //     'type'      => 'int-11',
        //     'name'      => '活动名称',
        //     'default'   => '-1',
        //     'desc'      => '活动名称',
        //     'match'     => 'is_string',
        //     'value'     => Dever::input('search_option_active_id'),
        //     'update'    => 'hidden',
        //     // 'search'    => 'text',
        //     // 'list'      => true,
        // ),

        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '核销人员姓名',
            'default'   => '',
            'desc'      => '核销人员姓名',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'mobile'      => array
        (
            'type'      => 'bigint-11',
            'name'      => '核销人员电话',
            'default'   => '',
            'desc'      => '请输入电话',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'pass'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '登录密码',
            'default'   => '',
            'desc'      => '登录密码',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            // 'list'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	//'insert' => false,
        'delete' => false,
        // 'edit' => false,
        
    ),

    'request' => array
    (
        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                //'id' => array('yes', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'col' => '*|id',
        ),
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                // 'id' => array('yes','>'),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'asc'),
            'col' => '*',
        ),
    ),
);
