<?php

$home_top_type = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '网站基础信息',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '网站基本信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '网站名称',
			'default' 	=> '',
			'desc' 		=> '请输入网站名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

        'site'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '网站地址',
            'default'   => '',
            'desc'      => '网站地址',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '网站LOGO',
			'default' 	=> '',
			'desc' 		=> '平台LOGO',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '179*48',
		),

		'citys'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '开通城市-直接填写城市名称，多个用换行隔开',
            'default'   => '',
            'desc'      => '开通城市',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

		'hr5'       => array
        (
            'name'      => '首页视频信息',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),
        
        'video_name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '视频名称',
			'default' 	=> '',
			'desc' 		=> '请输入视频名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'video_desc'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '视频介绍',
			'default' 	=> '',
			'desc' 		=> '请输入视频介绍',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'video'     => array
        (
            'type'      => 'varchar-800',
            'name'      => '上传视频-视频格式mp4，上传大小不能超过4G',
            'default'   => '',
            'desc'      => '上传视频',
            'match'     => 'is_string',
            'update'    => 'video',
            'key'       => '3',
            'place'     => '150',
            'upload'    => 'yun',
            'large'     => true,
            'cover'     => 'pic',//封面图字段名
        ),

        'video_pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '封面图-封面图自动生成，也可以直接上传，上传大小不能超过2M，支持JPG、PNG、GIF格式，建议上传JPG格式',
			'default' 	=> '',
			'desc' 		=> '封面图',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '1200*675',
		),

		'hr21'       => array
        (
            'name'      => '企业动态',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),

        'news_name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '企业动态标题',
			'default' 	=> '',
			'desc' 		=> '企业动态标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'news_desc'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '企业动态介绍',
			'default' 	=> '',
			'desc' 		=> '企业动态介绍',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'news_pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '企业动态图片',
			'default' 	=> '',
			'desc' 		=> '企业动态图片',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '1920*630',
		),

		'hr20'       => array
        (
            'name'      => '联系我们',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),

        'contact_desc'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '联系我们介绍',
			'default' 	=> '',
			'desc' 		=> '联系我们介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'contact'       => array
        (
            'type'      => 'text-1000',
            'name'      => '联系我们配置',
            'default'   => '',
            'desc'      => '联系我们配置',
            'match'     => 'is_string',
            'update'    => array
            (
                array
				(
					'col'		=> 'avatar',
					'name' 		=> '头像',
					'default' 	=> '',
					'desc' 		=> '头像',
					'match' 	=> 'option',
					'update'	=> 'image',
					'key' 		=> '1',
					'place'		=> '300*300',
				),

                array
                (
                    'col'       => 'info',
                    'name'      => '职务',
                    'default'   => '',
                    'desc'      => '职务',
                    'match'     => 'is_string',
                    'update'    => 'text',
                ),

                array
                (
                    'col'       => 'name',
                    'name'      => '名称',
                    'default'   => '',
                    'desc'      => '名称',
                    'match'     => 'is_string',
                    'update'    => 'text',
                ),

                array
                (
                    'col'       => 'contact',
                    'name'      => '联系方式-填写手机号或者邮箱',
                    'default'   => '',
                    'desc'      => '联系方式',
                    'match'     => 'is_string',
                    'update'    => 'text',
                ),
            ),
        ),

        'contact_address'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '公司地址',
			'default' 	=> '',
			'desc' 		=> '公司地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'contact_address_map'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '地址地图链接',
			'default' 	=> '',
			'desc' 		=> '地址地图链接',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

        'hr2'       => array
        (
            'name'      => '网站SEO信息',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),
        
        'seo_keyword'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => 'SEO关键词',
            'default'   => '',
            'desc'      => 'SEO关键词',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'seo_desc'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => 'SEO描述',
            'default'   => '',
            'desc'      => 'SEO描述',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'hr3'       => array
        (
            'name'      => '联系信息',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),

        'phone'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'worktime'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '工作时间',
            'default'   => '',
            'desc'      => '请输入工作时间',
            'match'     => 'option',
            'update'    => 'text',
        ),

		'wechat'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '公众号',
			'default' 	=> '',
			'desc' 		=> '公众号',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150*150',
		),

		'douyin'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '抖音',
			'default' 	=> '',
			'desc' 		=> '抖音',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150*150',
		),

		'weibo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微博',
			'default' 	=> '',
			'desc' 		=> '微博',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150*150',
		),

        'foot'      => array
        (
            'type'      => 'text-255',
            'name'      => '底部信息',
            'default'   => '',
            'desc'      => '底部信息',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => '1',
        ),
		
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"厨人易料",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
