<?php
$shop = function()
{
    $array = array();
    $data = Dever::db('shop/info-state');
    if($data)
    {
        $array += $data;
    }
    return $array;
};
$admin = Dever::load('manage/auth.info');
$admin_auth = false;
if ($admin && $admin['role'] == 24){
    $admin_auth = $admin['role'];
}
# 权限设置 1是归店记录列表、2是归店详细信息
$search_auth = Dever::input('search_option_dever_auth', 1);
return array
(
    # 表名
    'name' => 'member_shop_log',
    # 显示给用户看的名称
    'lang' => '归店记录列表',
    'order' => 9,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'mid'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理商姓名/手机号',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => array
            (
                'api' => 'agent/member-getSearch',
                'col' => 'col',
                'result' => 'id',
                'search' => 'mid',
            ),
            'list_name' => '代理商信息',
            'list'      => $admin_auth ? 'Dever::load("agent/lib/member.getOne", {mid}, "agent/member", true,true)' : ($search_auth == 1 ? 'Dever::load("agent/lib/member.getOne", {mid}, "agent/member", true)': 'Dever::load("bill/lib/manage.guidian",{mid})'),
            'list_order' => 1,
        ),

        'old_shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '变更前店铺名称',
            'default'   => '',
            'desc'      => '店铺名称',
            'match'     => 'is_numeric',
            'option'    => $shop,
            'list_name' => $search_auth == 2 ? '角色' : '变更前店铺名称',
            'list'      => $search_auth == 1 ? true : 'Dever::load("bill/lib/manage.role",{mid})',
            //'list_order' => 6,
        ),

        'new_shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '变更后店铺名称',
            'default'   => '',
            'desc'      => '店铺名称',
            'match'     => 'is_numeric',
            'search'    => 'hidden',
            'option'    => $shop,
            'list'      => $search_auth == 1 ? true : false,
        ),

        'dever_auth'      => array
        (
            'name'      => '类型',
            'default'   => '',
            'desc'      => '类型',
            'match'     => 'is_string',
            'search'    => 'hidden',
            
        ),

        'dever_time'      => array
        (
            'name'      => '归店时间',
            'default'   => '',
            'desc'      => '类型',
            'match'     => 'is_string',
            // 'search'    => 'hidden',
            'search'    => $search_auth == 2 ? 'date' : false,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '归店时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => $search_auth == 1 ? 'date' : false,
            'list'      => 'date("Y-m-d H:i", {cdate})',
            'order'     => 'desc',
        ),
    ),
    'manage' => array
    (
        'edit' => false,
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'start' => array('yes-cdate','>='),
                'end' => array('yes-cdate','<='),
                'new_shop_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'count',
            // 'order' => array('cdate' => 'desc'),
            'col' => '*',
        ),
        'getAllByShop' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'start' => array('yes-cdate','>='),
                'end' => array('yes-cdate','<='),
                'new_shop_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            // 'order' => array('cdate' => 'desc'),
            'col' => '*|mid',
        ),
        'getGui' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'start' => array('yes-cdate','>='),
                'end' => array('yes-cdate','<='),
                // 'new_shop_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('cdate' => 'asc'),
            'col' => '*',
        ),
    ),
);
