<?php

$role = function()
{
    $info = Dever::db('setting/role')->select();
    return $info;
};

$role_id = Dever::input('search_option_role_id');


return array
(
    # 表名
    'name' => 'role_up',
    # 显示给用户看的名称
    'lang' => '自动升级',
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'role_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理商角色',
            'default'   => '',
            'desc'      => '代理商角色',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'search'    => 'hidden',
            'value'     => $role_id,
            'list'      => 'Dever::load("setting/role-one#name", {role_id})',
        ),

        't_role_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '升级角色',
            'default'   => '',
            'desc'      => '升级角色',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'search'    => 'select',
            'option'	=> $role,
            'list'      => 'Dever::load("setting/role-one#name", {t_role_id})',
            'control'   => 't_role_id',
        ),

        'num'      => array
        (
            'type'      => 'int-11',
            'name'      => '直推人数',
            'default'   => '3',
            'desc'      => '直推人数',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
        ),

        'sell'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '团队业绩-以万为单位',
            'default'   => '30',
            'desc'      => '团队业绩',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'request' => array
    (
        'getData' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'role_id' => 'yes',
                'state' => 1,
            ),
            'order' => array('sell' => 'desc', 'num' => 'desc', 'id' => 'desc'),
            'type' => 'all',
            'col' => '*',
        ),
    ),
);
