<?php
$type = array
(
	1 => '街道',
	//2 => '创客',
	//3 => '九阳自动炒菜机套餐',
);

$level = function()
{
    $info = Dever::db('area/level')->select();
    return $info;
};

return array
(
    # 表名
    'name' => 'source',
    # 显示给用户看的名称
    'lang' => '来源配置',
    # 后台菜单排序
    'order' => -1,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '名称',
            'default'   => '',
            'desc'      => '名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'desc'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '描述',
            'default'   => '',
            'desc'      => '描述',
            'match'     => 'option',
            'update'    => 'textarea',
            //'search'    => 'fulltext',
            //'list'      => true,
        ),

        'logo'     => array
        (
            'type'      => 'varchar-150',
            'name'      => 'logo',
            'default'   => '',
            'desc'      => 'logo',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '300*300',
            'list_name' => '来源信息',
            'list'      => 'Dever::load("setting/lib/manage.showSource", {id})',
            'list_header'  => array('width' => '60%'),
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'default' => array
	(
		'col' => 'id,name,state,cdate',
		'value' => array
		(
			'1,"默认来源", 1,' . DEVER_TIME,
		),
	),

    'manage' => array
    (
    	
    ),

    'request' => array
    (
        
    ),
);
